This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 710322 - Gettext: avoid generating empty flags lines
Gettext: avoid generating empty flags lines
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic, Component-Maven, Component-PythonClient (Show other bugs)
1.3
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: zanata-dev-internal
David Mason
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2011-06-03 00:18 EDT by Sean Flanigan
Modified: 2012-03-06 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:06:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-06-03 00:18:00 EDT
When we export PO files, we tend to get

#: sourceref:123
#, 
msgid "something"
msgstr "something"

If there are no flags, the line "#," should be omitted.  

We need to check where this problem is introduced: are we actually storing empty flags in the database, or just generating blank flags lines when writing PO files?
Comment 1 Sean Flanigan 2011-09-07 00:32:47 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2012-02-10 01:07:55 EST
We should review the status of this one.
Comment 3 David Mason 2012-02-21 01:56:05 EST
Verified in python client, maven client and website file download.

Note You need to log in before you can comment on or make changes to this bug.